(function () {
    'use strict';

    angular
        .module('editorRotas')
        .directive('continuarItinerario', continuarItinerario);

    continuarItinerario.$inject = ['ferramentaContinuarItinerario'];

    function continuarItinerario(ferramentaContinuarItinerario) {

        var directive = {
            link: link,
            restrict: 'E',
            replace: true,
            templateUrl: 'angular/EditorRotas/app/scripts/components/ferramentas/continuar-itinerario/continuar-itinerario.html',
        };

        return directive;

        function link(scope, element, attrs) {

            ferramentaContinuarItinerario.SetScope(scope, element);

            if (scope.vm.permissions.indexOf('continuarItinerario') == -1)
                element.addClass('disabled');

            scope.HabilitadoContinuarItinerario = HabilitadoContinuarItinerario;

            function HabilitadoContinuarItinerario(habilitado) {
                if (habilitado) {

                    scope.setCursor("cursor-continuar-itinerario");
                    scope.elementTool.find('.tool.active').removeClass('active');
                    scope.elementTool.find('.icon-pen').parent().addClass('active')
                } else {

                    scope.elementTool.find('.tool.active').removeClass('active');
                    scope.setCursor("");
                }
            }
        }
    }
})();